=== debian/changelog ===
hidapi (0.15.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * kFreeBSD was discontinued, so:
    - drop the libusb2-dev build dependency
    - drop the kfreebsd-any architecture from the libhidapi-dev binary package
    - drop the libhidapi0 binary package
  * Add support for Hurd:
    - enable the libusb-1.0-0-dev build dependency on any architecture
    - build the libhidapi-dev, and libhidapi-libusb0 binary packages on any
      architecture

 -- Scott Talbert <swt@techie.net>  Mon, 18 Aug 2025 19:06:09 -0400

hidapi (0.15.0-1) unstable; urgency=medium

  * Build with cmake (Closes: #1104999)
  * d/control: wrap-and-sort
  * d/control: BD pkg-config -> pkgconf
  * Update to new upstream release 0.15.0
  * d/copyright: update to remove FSF address
  * d/control: update Standards-Version to 4.7.2 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Sun, 10 Aug 2025 14:26:53 -0400
