=== debian/control ===
Source: hidapi
Priority: optional
Maintainer: Scott Talbert <swt@techie.net>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libudev-dev [linux-any],
 libusb-1.0-0-dev,
 pkgconf,
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/libusb/hidapi
Vcs-Git: https://salsa.debian.org/debian/hidapi.git
Vcs-Browser: https://salsa.debian.org/debian/hidapi
Rules-Requires-Root: no

Package: libhidapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libhidapi-hidraw0 (= ${binary:Version}) [linux-any],
 libhidapi-libusb0 (= ${binary:Version}),
 ${misc:Depends},
Description: Multi-Platform library for communication with HID devices (development files)
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the files needed to compile and link programs which
 use HIDAPI.

Package: libhidapi-libusb0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Multi-Platform library for communication with HID devices (libusb backend)
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the libusb-based implementation of HIDAPI.

Package: libhidapi-hidraw0
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Multi-Platform library for communication with HID devices (hidraw backend)
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the hidraw-based implementation of HIDAPI.
