=== debian/watch ===
version=4
opts="uversionmangle=s/\.?-rc/~rc/,dversionmangle=s/\+.*dfsg$//" \
https://github.com/libusb/hidapi/tags .*/hidapi-?(\d\S*)\.tar\.gz
